Index: src/globals.h
===================================================================
--- src/globals.h	(revision 88a59e4d654410886ece7c11692844594425702e)
+++ src/globals.h	(revision 9adbc413c7aa91a27ab129e7259a4018acdfbf65)
@@ -34,16 +34,16 @@
 	#error You are using Qt version < 4.5 but minimum required version is 4.5.0. Compilation aborted.
 #endif
-#ifdef QT_NO_SVG
+#if defined(Q_WS_WINCE_WM) || defined(Q_WS_S60) || defined(Q_WS_MAEMO_5) || defined(Q_WS_SIMULATOR)
+	//! This is defined on handheld devices (e.g., Windows Mobile, Symbian).
+	#define HANDHELD
+	#define QT_NO_STATUSTIP
+#endif
+#include <QtGui>
+#if defined(QT_NO_SVG) && !defined(NOSVG)
 	#define NOSVG
 #endif
-#include <QtGui>
 #if !defined(NOSVG)
 	#include <QtSvg>
 #endif // NOSVG
-
-#if defined(Q_WS_WINCE_WM) || defined(Q_WS_S60) || defined(Q_WS_MAEMO_5) || defined(Q_WS_SIMULATOR)
-	//! This is defined on handheld devices (e.g., Windows Mobile, Symbian).
-	#define HANDHELD
-#endif
 
 #ifndef HANDHELD
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision 88a59e4d654410886ece7c11692844594425702e)
+++ src/mainwindow.cpp	(revision 9adbc413c7aa91a27ab129e7259a4018acdfbf65)
@@ -1244,5 +1244,7 @@
 	foreach (language, langlist) {
 		a = menuSettingsLanguage->addAction(language.at(2));
+#ifndef QT_NO_STATUSTIP
 		a->setStatusTip(language.at(3));
+#endif
 #if QT_VERSION >= 0x040600
 		a->setIcon(QIcon::fromTheme(QString("flag-%1").arg(language.at(1)), QIcon(QString(":/images/icons/l10n/flag-%1.png").arg(language.at(1)))));
@@ -1335,5 +1337,7 @@
 		a = menuSettingsStyle->addAction(style);
 		a->setData(false);
+#ifndef QT_NO_STATUSTIP
 		a->setStatusTip(tr("Set application style to %1").arg(style));
+#endif
 		a->setCheckable(true);
 		a->setActionGroup(groupSettingsStyleList);
@@ -1440,6 +1444,4 @@
 #ifndef QT_NO_STATUSTIP
 	actionFilePrintPreview->setStatusTip(tr("Preview current solution results before printing"));
-#endif // QT_NO_STATUSTIP
-#ifndef QT_NO_STATUSTIP
 	actionFileExit->setStatusTip(tr("Exit %1").arg(QCoreApplication::applicationName()));
 #endif // QT_NO_STATUSTIP
Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision 88a59e4d654410886ece7c11692844594425702e)
+++ src/settingsdialog.cpp	(revision 9adbc413c7aa91a27ab129e7259a4018acdfbf65)
@@ -38,8 +38,12 @@
 
 	buttonBox->button(QDialogButtonBox::Ok)->setIcon(GET_ICON("dialog-ok"));
+#ifndef QT_NO_STATUSTIP
 	buttonBox->button(QDialogButtonBox::Ok)->setStatusTip(tr("Save new preferences"));
+#endif
 	buttonBox->button(QDialogButtonBox::Ok)->setCursor(QCursor(Qt::PointingHandCursor));
 	buttonBox->button(QDialogButtonBox::Cancel)->setIcon(GET_ICON("dialog-cancel"));
+#ifndef QT_NO_STATUSTIP
 	buttonBox->button(QDialogButtonBox::Cancel)->setStatusTip(tr("Close without saving preferences"));
+#endif
 	buttonBox->button(QDialogButtonBox::Cancel)->setCursor(QCursor(Qt::PointingHandCursor));
 
@@ -219,5 +223,5 @@
 	connect(buttonColor, SIGNAL(clicked()), SLOT(buttonColorClicked()));
 	setWindowFlags(windowFlags() ^ Qt::WindowContextHelpButtonHint);
-#ifndef HANDHELD
+#if !defined(QT_NO_STATUSTIP) && !defined(HANDHELD)
 	// Setting initial text of dialog hint label to own status tip text.
 	labelHint->setText(labelHint->statusTip());
@@ -459,5 +463,5 @@
 }
 
-#ifndef HANDHELD
+#if !defined(QT_NO_STATUSTIP) && !defined(HANDHELD)
 bool SettingsDialog::event(QEvent *ev)
 {
Index: src/settingsdialog.h
===================================================================
--- src/settingsdialog.h	(revision 88a59e4d654410886ece7c11692844594425702e)
+++ src/settingsdialog.h	(revision 9adbc413c7aa91a27ab129e7259a4018acdfbf65)
@@ -72,5 +72,7 @@
 	QLabel *labelHint;
 
+#ifndef QT_NO_STATUSTIP
 	bool event(QEvent *ev);
+#endif // QT_NO_STATUSTIP
 #endif // Q_WS_WINCE_WM
 
Index: tspsg.pro
===================================================================
--- tspsg.pro	(revision 88a59e4d654410886ece7c11692844594425702e)
+++ tspsg.pro	(revision 9adbc413c7aa91a27ab129e7259a4018acdfbf65)
@@ -47,6 +47,10 @@
 #REVISION = 100
 REVISION = $$system(svnversion)
-REVISION = $$replace(REVISION,":","")
-REVISION = $$replace(REVISION,"M","")
+isEmpty(REVISION)|eval(REVISION=="exported") {
+	REVISION = 0
+} else {
+	REVISION = $$replace(REVISION,":","")
+	REVISION = $$replace(REVISION,"M","")
+}
 win32-msvc*|wincewm* {
 	VERSION = $$sprintf("%1.%2",$$BUILD_VERSION_MAJOR,$$BUILD_VERSION_MINOR)
